[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridMessage

Contains a LCL message and its auxiliary values.

## Declaration

Source position: grids.pas line 223

`type TGridMessage = record`
`LclMsg: TLMessage;` |  | The LCL message value.
`Grid: TCustomGrid;` |  | Grid for the LCL message.
`Col: Integer;` |  | Grid column for the LCL message.
`Row: Integer;` |  | Grid row for the LCL message.
`Value: string;` |  | Cell value for the LCL message.
`CellRect: TRect;` |  | Rectangle coordinates for the LCL message.
`Options: Integer;` |  | Options for the LCL message.
`end;`

## Description

TGridMessage is a record type with members representing an LCL message passed to cell editors in a string grid. It is passed as an argument to TStringCellEditor methods (msg_SetMask, msg_GetGrid, et. al.) which handle and apply a specific LCL message.